import _Object$keys from "babel-runtime/core-js/object/keys";
/**
 * 顺序搜索指定对象中是否存在相匹配的值
 * @param {Object} src 来源对象
 * @param {*} search 待搜索项
 * @returns {{key:String,value:*}|null}
 */
var objectIndexOf = function objectIndexOf(src, search) {
  var a = _Object$keys(src);

  for (var i = 0; i < a.length; i++) {
    var key = a[i];

    if (src[key] === search) {
      return { key: key, value: src[key] };
    }
  }

  return null;
};

/**
 * 逆序搜索指定对象中是否存在相匹配的值
 * @param {Object} src 来源对象
 * @param {*} search 待搜索项
 * @returns {{key:String,value:*}|null}
 */
var objectLastIndexOf = function objectLastIndexOf(src, search) {
  var a = _Object$keys(src);

  for (var i = a.length - 1; i >= 0; i--) {
    var key = a[i];

    if (src[key] === search) {
      return { key: key, value: src[key] };
    }
  }

  return null;
};

export { objectIndexOf, objectLastIndexOf };